glibmm: Glib::SignalProxy6< R, P1, P2, P3, P4, P5, P6 > Class Template Reference

glibmm 2.31.22

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions
Glib::SignalProxy6< R, P1, P2, P3, P4, P5, P6 > Class Template Reference

Proxy for signals with 6 arguments. More...

`#include <glibmm/signalproxy.h>`

Inheritance diagram for Glib::SignalProxy6< R, P1, P2, P3, P4, P5, P6 >:
[legend]

List of all members.

## Public Types
typedef sigc::slot< R, P1, P2, P3, P4, P5, P6 > | SlotType
typedef sigc::slot< void, P1, P2, P3, P4, P5, P6 > | VoidSlotType
## Public Member Functions
| SignalProxy6 (ObjectBase* obj, const SignalProxyInfo* info)
sigc::connection | connect (const SlotType& slot, bool after=true)
| Connects a signal to a signal handler.
sigc::connection | connect_notify (const VoidSlotType& slot, bool after=false)
| Connects a signal to a signal handler without a return value.

## Detailed Description

### template<class R, class P1, class P2, class P3, class P4, class P5, class P6>
class Glib::SignalProxy6< R, P1, P2, P3, P4, P5, P6 >

Proxy for signals with 6 arguments.

Use the connect() method, with sigc::mem_fun() or sigc::ptr_fun() to connect signals to signal handlers.

## Member Typedef Documentation

template <class R , class P1 , class P2 , class P3 , class P4 , class P5 , class P6 >

typedef sigc::slot<R,P1,P2,P3,P4,P5,P6> Glib::SignalProxy6< R, P1, P2, P3, P4, P5, P6 >::SlotType

template <class R , class P1 , class P2 , class P3 , class P4 , class P5 , class P6 >

typedef sigc::slot<void,P1,P2,P3,P4,P5,P6> Glib::SignalProxy6< R, P1, P2, P3, P4, P5, P6 >::VoidSlotType

## Constructor & Destructor Documentation

template <class R , class P1 , class P2 , class P3 , class P4 , class P5 , class P6 >

Glib::SignalProxy6< R, P1, P2, P3, P4, P5, P6 >::SignalProxy6 | ( | ObjectBase* | obj,
|  | const SignalProxyInfo * | info
| ) |  | `[inline]`

## Member Function Documentation

template <class R , class P1 , class P2 , class P3 , class P4 , class P5 , class P6 >

sigc::connection Glib::SignalProxy6< R, P1, P2, P3, P4, P5, P6 >::connect | ( | const SlotType& | slot,
|  | bool | after = `true`
| ) |  | `[inline]`

Connects a signal to a signal handler.

For instance, connect( sigc::mem_fun(*this, &TheClass::on_something) );

Parameters:

  slot | The signal handler, usually created with sigc::mem_fun(), or sigc::ptr_fun().
  after | Whether this signal handler should be called before or after the default signal handler.

template <class R , class P1 , class P2 , class P3 , class P4 , class P5 , class P6 >

sigc::connection Glib::SignalProxy6< R, P1, P2, P3, P4, P5, P6 >::connect_notify | ( | const VoidSlotType& | slot,
|  | bool | after = `false`
| ) |  | `[inline]`

Connects a signal to a signal handler without a return value.

By default, the signal handler will be called before the default signal handler, in which case any return value would be replaced anyway by that of the later signal handler.

For instance, connect( sigc::mem_fun(*this, &TheClass::on_something) );

Parameters:

  slot | The signal handler, which should have a void return type, usually created with sigc::mem_fun(), or sigc::ptr_fun().
  after | Whether this signal handler should be called before or after the default signal handler.